Loading...
Searching...
No Matches
coeffs_test_runner.cpp File Reference
`#include "cxxtest/TestListener.h"`
`#include "cxxtest/TestTracker.h"`
`#include "cxxtest/TestRunner.h"`
`#include "cxxtest/RealDescriptions.h"`
`#include "cxxtest/ErrorPrinter.h"`
`#include "./coeffs_test.h"`
`#include "cxxtest/Root.cpp"`

Go to the source code of this file.

## Data Structures

class | TestDescription_CoeffsTestSuite_test_Z2m4
class | TestDescription_CoeffsTestSuite_test_Zp101
class | TestDescription_CoeffsTestSuite_test_Z2m8
class | TestDescription_CoeffsTestSuite_test_Q
class | TestDescription_CoeffsTestSuite_test_R
class | TestDescription_CoeffsTestSuite_test_Z
class | TestDescription_CoeffsTestSuite_test_GF_toobig
class | TestDescription_CoeffsTestSuite_test_GF
class | TestDescription_CoeffsTestSuite_test_Zn3
class | TestDescription_CoeffsTestSuite_test_Z2m2
class | TestDescription_CoeffsTestSuite_test_LR
class | TestDescription_CoeffsTestSuite_test_LC
class | TestDescription_CoeffsTestSuite_test_Q_special

## Macros

#define | CXXTEST_RUNNING
#define | _CXXTEST_HAVE_STD

## Functions

int | main (int, char *argv[])

## Variables

char * | argv0 = NULL
static CoeffsTestSuite | suite_CoeffsTestSuite
static CxxTest::List | Tests_CoeffsTestSuite = { 0, 0 }
CxxTest::StaticSuiteDescription | suiteDescription_CoeffsTestSuite ("./coeffs_test.h", 353, "CoeffsTestSuite", suite_CoeffsTestSuite, Tests_CoeffsTestSuite)
TestDescription_CoeffsTestSuite_test_Z2m4 | testDescription_CoeffsTestSuite_test_Z2m4
TestDescription_CoeffsTestSuite_test_Zp101 | testDescription_CoeffsTestSuite_test_Zp101
TestDescription_CoeffsTestSuite_test_Z2m8 | testDescription_CoeffsTestSuite_test_Z2m8
TestDescription_CoeffsTestSuite_test_Q | testDescription_CoeffsTestSuite_test_Q
TestDescription_CoeffsTestSuite_test_R | testDescription_CoeffsTestSuite_test_R
TestDescription_CoeffsTestSuite_test_Z | testDescription_CoeffsTestSuite_test_Z
TestDescription_CoeffsTestSuite_test_GF_toobig | testDescription_CoeffsTestSuite_test_GF_toobig
TestDescription_CoeffsTestSuite_test_GF | testDescription_CoeffsTestSuite_test_GF
TestDescription_CoeffsTestSuite_test_Zn3 | testDescription_CoeffsTestSuite_test_Zn3
TestDescription_CoeffsTestSuite_test_Z2m2 | testDescription_CoeffsTestSuite_test_Z2m2
TestDescription_CoeffsTestSuite_test_LR | testDescription_CoeffsTestSuite_test_LR
TestDescription_CoeffsTestSuite_test_LC | testDescription_CoeffsTestSuite_test_LC
TestDescription_CoeffsTestSuite_test_Q_special | testDescription_CoeffsTestSuite_test_Q_special

## Macro Definition Documentation

## _CXXTEST_HAVE_STD

#define _CXXTEST_HAVE_STD

Definition at line 7 of file coeffs_test_runner.cpp.

## CXXTEST_RUNNING

#define CXXTEST_RUNNING

Definition at line 4 of file coeffs_test_runner.cpp.

## Function Documentation

## main()

int main | ( | int | ,
|  | char * | argv[] )

Definition at line 15 of file coeffs_test_runner.cpp.

{
argv0 = argv[0];
return CxxTest::ErrorPrinter().run();
}
CxxTest::ErrorFormatter::run
int run()
Definition ErrorFormatter.h:45
CxxTest::ErrorPrinter
Definition ErrorPrinter.h:29
argv0
char * argv0
Definition coeffs_test_runner.cpp:14

## Variable Documentation

## argv0

char* argv0 = NULL

Definition at line 14 of file coeffs_test_runner.cpp.

## suite_CoeffsTestSuite

CoeffsTestSuite suite_CoeffsTestSuite

static

Definition at line 21 of file coeffs_test_runner.cpp.

## suiteDescription_CoeffsTestSuite

CxxTest::StaticSuiteDescription suiteDescription_CoeffsTestSuite("./coeffs_test.h", 353, "CoeffsTestSuite", suite_CoeffsTestSuite, Tests_CoeffsTestSuite) | ( | "./coeffs_test.h" | ,
|  | 353 | ,
|  | "CoeffsTestSuite" | ,
|  | suite_CoeffsTestSuite | ,
|  | Tests_CoeffsTestSuite | )

## testDescription_CoeffsTestSuite_test_GF

TestDescription_CoeffsTestSuite_test_GF testDescription_CoeffsTestSuite_test_GF

static

## testDescription_CoeffsTestSuite_test_GF_toobig

TestDescription_CoeffsTestSuite_test_GF_toobig testDescription_CoeffsTestSuite_test_GF_toobig

static

## testDescription_CoeffsTestSuite_test_LC

TestDescription_CoeffsTestSuite_test_LC testDescription_CoeffsTestSuite_test_LC

static

## testDescription_CoeffsTestSuite_test_LR

TestDescription_CoeffsTestSuite_test_LR testDescription_CoeffsTestSuite_test_LR

static

## testDescription_CoeffsTestSuite_test_Q

TestDescription_CoeffsTestSuite_test_Q testDescription_CoeffsTestSuite_test_Q

static

## testDescription_CoeffsTestSuite_test_Q_special

TestDescription_CoeffsTestSuite_test_Q_special testDescription_CoeffsTestSuite_test_Q_special

static

## testDescription_CoeffsTestSuite_test_R

TestDescription_CoeffsTestSuite_test_R testDescription_CoeffsTestSuite_test_R

static

## testDescription_CoeffsTestSuite_test_Z

TestDescription_CoeffsTestSuite_test_Z testDescription_CoeffsTestSuite_test_Z

static

## testDescription_CoeffsTestSuite_test_Z2m2

TestDescription_CoeffsTestSuite_test_Z2m2 testDescription_CoeffsTestSuite_test_Z2m2

static

## testDescription_CoeffsTestSuite_test_Z2m4

TestDescription_CoeffsTestSuite_test_Z2m4 testDescription_CoeffsTestSuite_test_Z2m4

static

## testDescription_CoeffsTestSuite_test_Z2m8

TestDescription_CoeffsTestSuite_test_Z2m8 testDescription_CoeffsTestSuite_test_Z2m8

static

## testDescription_CoeffsTestSuite_test_Zn3

TestDescription_CoeffsTestSuite_test_Zn3 testDescription_CoeffsTestSuite_test_Zn3

static

## testDescription_CoeffsTestSuite_test_Zp101

TestDescription_CoeffsTestSuite_test_Zp101 testDescription_CoeffsTestSuite_test_Zp101

static

## Tests_CoeffsTestSuite

CxxTest::List Tests_CoeffsTestSuite = { 0, 0 }

static

Definition at line 23 of file coeffs_test_runner.cpp.

{ 0, 0 };